#ifndef DEFAULT_H
#define DEFAULT_H

#include <cairomm/context.h>
#include <gtkmm/drawingarea.h>

typedef enum {
    SENSOR_SPEED = 0,
    SENSOR_RPM = 1,
    SENSOR_FUEL = 2
} SensorID;

class Default : public Gtk::DrawingArea {
  private:
    void processSpeed(double);
    void processRPM(double);
    void processFuel(double);
    void drawGauge(double);
    void drawNeedle(double, double);
    void drawFuelGauge(double);
    virtual bool on_expose_event(GdkEventExpose* event);
   
    // Variables
    const std::string gauges[];
    double currentSpeedValue, currentRpmValue, currentFuelValue;
    double totalDrawableWidth, totalDrawableHeight;
    double width, height;
    bool initialize;
    SensorID sensor_to_process;
    double sensor_value;
   
    Cairo::RefPtr<Cairo::Context> cr;
    Glib::RefPtr<Glib::IOChannel> file_read;

  public:
    Default(void);
    virtual ~Default(void);
    bool Update(Glib::IOCondition);
};

#endif
